Index: src/Actions/MoleculeAction/BondFileAction.cpp
===================================================================
--- src/Actions/MoleculeAction/BondFileAction.cpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/BondFileAction.cpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -9,4 +9,9 @@
 
 #include "Actions/MoleculeAction/BondFileAction.hpp"
+#include "Actions/ActionCalls.hpp"
+#include "log.hpp"
+#include "molecule.hpp"
+#include "verbose.hpp"
+#include "World.hpp"
 
 #include <iostream>
@@ -20,8 +25,4 @@
 #include "UIElements/ValueStorage.hpp"
 
-#include "log.hpp"
-#include "molecule.hpp"
-#include "verbose.hpp"
-#include "World.hpp"
 
 /****** MoleculeBondFileAction *****/
@@ -48,4 +49,9 @@
 {}
 
+void MoleculeBondFile(std::string &bondfile) {
+  ValueStorage::getInstance().setCurrentValue(MoleculeBondFileAction::NAME, bondfile);
+  ActionRegistry::getInstance().getActionByName(MoleculeBondFileAction::NAME)->call(Action::NonInteractive);
+};
+
 Dialog* MoleculeBondFileAction::createDialog() {
   Dialog *dialog = UIFactory::getInstance().makeDialog();
@@ -55,5 +61,4 @@
   return dialog;
 }
-
 
 Action::state_ptr MoleculeBondFileAction::performCall() {
Index: src/Actions/MoleculeAction/BondFileAction.hpp
===================================================================
--- src/Actions/MoleculeAction/BondFileAction.hpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/BondFileAction.hpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -15,4 +15,6 @@
 
 class MoleculeBondFileAction : public Action {
+  friend void MoleculeBondFile(std::string &bondfile);
+
 public:
   MoleculeBondFileAction();
Index: src/Actions/MoleculeAction/ChangeNameAction.cpp
===================================================================
--- src/Actions/MoleculeAction/ChangeNameAction.cpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/ChangeNameAction.cpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -9,4 +9,7 @@
 
 #include "Actions/MoleculeAction/ChangeNameAction.hpp"
+#include "Actions/ActionCalls.hpp"
+#include "atom.hpp"
+#include "molecule.hpp"
 
 #include <iostream>
@@ -18,7 +21,4 @@
 #include "UIElements/Dialog.hpp"
 #include "UIElements/ValueStorage.hpp"
-
-#include "atom.hpp"
-#include "molecule.hpp"
 
 /****** MoleculeChangeNameAction *****/
@@ -44,4 +44,9 @@
 MoleculeChangeNameAction::~MoleculeChangeNameAction()
 {}
+
+void MoleculeChangeName(std::string &name) {
+  ValueStorage::getInstance().setCurrentValue(MoleculeChangeNameAction::NAME, name);
+  ActionRegistry::getInstance().getActionByName(MoleculeChangeNameAction::NAME)->call(Action::NonInteractive);
+};
 
 Dialog* MoleculeChangeNameAction::createDialog() {
Index: src/Actions/MoleculeAction/ChangeNameAction.hpp
===================================================================
--- src/Actions/MoleculeAction/ChangeNameAction.hpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/ChangeNameAction.hpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -15,4 +15,6 @@
 
 class MoleculeChangeNameAction : public Action {
+  friend void MoleculeChangeName(std::string &name);
+
 public:
   MoleculeChangeNameAction();
Index: src/Actions/MoleculeAction/FillWithMoleculeAction.cpp
===================================================================
--- src/Actions/MoleculeAction/FillWithMoleculeAction.cpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/FillWithMoleculeAction.cpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -9,4 +9,13 @@
 
 #include "Actions/MoleculeAction/FillWithMoleculeAction.hpp"
+#include "Actions/ActionCalls.hpp"
+#include "atom.hpp"
+#include "bondgraph.hpp"
+#include "boundary.hpp"
+#include "config.hpp"
+#include "molecule.hpp"
+#include "verbose.hpp"
+#include "World.hpp"
+
 
 #include <iostream>
@@ -18,12 +27,4 @@
 #include "UIElements/Dialog.hpp"
 #include "UIElements/ValueStorage.hpp"
-
-#include "atom.hpp"
-#include "bondgraph.hpp"
-#include "boundary.hpp"
-#include "config.hpp"
-#include "molecule.hpp"
-#include "verbose.hpp"
-#include "World.hpp"
 
 /****** MoleculeFillWithMoleculeAction *****/
@@ -49,4 +50,13 @@
 MoleculeFillWithMoleculeAction::~MoleculeFillWithMoleculeAction()
 {}
+
+void MoleculeFillWithMolecule(std::string &fillername, Vector &distances, Vector &lengths, double MaxDistance, bool DoRotate) {
+  ValueStorage::getInstance().setCurrentValue(MoleculeFillWithMoleculeAction::NAME, fillername);
+  ValueStorage::getInstance().setCurrentValue("distances", distances);
+  ValueStorage::getInstance().setCurrentValue("lengths", lengths);
+  ValueStorage::getInstance().setCurrentValue("DoRotate", MaxDistance);
+  ValueStorage::getInstance().setCurrentValue("MaxDistance", DoRotate);
+  ActionRegistry::getInstance().getActionByName(MoleculeFillWithMoleculeAction::NAME)->call(Action::NonInteractive);
+};
 
 Dialog* MoleculeFillWithMoleculeAction::createDialog() {
Index: src/Actions/MoleculeAction/FillWithMoleculeAction.hpp
===================================================================
--- src/Actions/MoleculeAction/FillWithMoleculeAction.hpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/FillWithMoleculeAction.hpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -11,8 +11,11 @@
 #include "Actions/Action.hpp"
 #include "Actions/Process.hpp"
+#include "vector.hpp"
 
 class MoleculeListClass;
 
 class MoleculeFillWithMoleculeAction : public Action {
+  friend void MoleculeFillWithMolecule(std::string &fillername, Vector &distances, Vector &lengths, double MaxDistance, bool DoRotate);
+
 public:
   MoleculeFillWithMoleculeAction();
Index: src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.cpp
===================================================================
--- src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.cpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.cpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -9,4 +9,11 @@
 
 #include "Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.hpp"
+#include "Actions/ActionCalls.hpp"
+#include "atom.hpp"
+#include "defs.hpp"
+#include "log.hpp"
+#include "molecule.hpp"
+#include "verbose.hpp"
+#include "World.hpp"
 
 #include <iostream>
@@ -20,10 +27,4 @@
 #include "UIElements/ValueStorage.hpp"
 
-#include "atom.hpp"
-#include "defs.hpp"
-#include "log.hpp"
-#include "molecule.hpp"
-#include "verbose.hpp"
-#include "World.hpp"
 
 /****** MoleculeLinearInterpolationofTrajectoriesAction *****/
@@ -49,4 +50,12 @@
 MoleculeLinearInterpolationofTrajectoriesAction::~MoleculeLinearInterpolationofTrajectoriesAction()
 {}
+
+void MoleculeLinearInterpolationofTrajectories(std::string &filename, int start, int end, bool IdMapping) {
+  ValueStorage::getInstance().setCurrentValue(MoleculeLinearInterpolationofTrajectoriesAction::NAME, filename);
+  ValueStorage::getInstance().setCurrentValue("start-step", start);
+  ValueStorage::getInstance().setCurrentValue("end-step", end);
+  ValueStorage::getInstance().setCurrentValue("id-mapping", IdMapping);
+  ActionRegistry::getInstance().getActionByName(MoleculeLinearInterpolationofTrajectoriesAction::NAME)->call(Action::NonInteractive);
+};
 
 Dialog* MoleculeLinearInterpolationofTrajectoriesAction::createDialog() {
Index: src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.hpp
===================================================================
--- src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.hpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/LinearInterpolationofTrajectoriesAction.hpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -15,4 +15,6 @@
 
 class MoleculeLinearInterpolationofTrajectoriesAction : public Action {
+  friend void MoleculeLinearInterpolationofTrajectories(std::string &filename, int start, int end, bool IdMapping);
+
 public:
   MoleculeLinearInterpolationofTrajectoriesAction();
Index: src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp
===================================================================
--- src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.cpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -9,4 +9,9 @@
 
 #include "Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.hpp"
+#include "Actions/ActionCalls.hpp"
+#include "log.hpp"
+#include "molecule.hpp"
+#include "verbose.hpp"
+
 
 #include <iostream>
@@ -19,8 +24,4 @@
 #include "UIElements/Dialog.hpp"
 #include "UIElements/ValueStorage.hpp"
-
-#include "log.hpp"
-#include "molecule.hpp"
-#include "verbose.hpp"
 
 /****** MoleculeRotateToPrincipalAxisSystemAction *****/
@@ -46,4 +47,8 @@
 MoleculeRotateToPrincipalAxisSystemAction::~MoleculeRotateToPrincipalAxisSystemAction()
 {}
+
+void MoleculeRotateToPrincipalAxisSystem() {
+  ActionRegistry::getInstance().getActionByName(MoleculeRotateToPrincipalAxisSystemAction::NAME)->call(Action::NonInteractive);
+};
 
 Dialog* MoleculeRotateToPrincipalAxisSystemAction::createDialog() {
Index: src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.hpp
===================================================================
--- src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.hpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/RotateToPrincipalAxisSystemAction.hpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -15,4 +15,6 @@
 
 class MoleculeRotateToPrincipalAxisSystemAction : public Action {
+  friend void MoleculeRotateToPrincipalAxisSystem();
+
 public:
   MoleculeRotateToPrincipalAxisSystemAction();
Index: src/Actions/MoleculeAction/SaveAdjacencyAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveAdjacencyAction.cpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/SaveAdjacencyAction.cpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -9,4 +9,12 @@
 
 #include "Actions/MoleculeAction/SaveAdjacencyAction.hpp"
+#include "Actions/ActionCalls.hpp"
+#include "bondgraph.hpp"
+#include "config.hpp"
+#include "log.hpp"
+#include "molecule.hpp"
+#include "verbose.hpp"
+#include "World.hpp"
+
 
 #include <iostream>
@@ -19,11 +27,4 @@
 #include "UIElements/Dialog.hpp"
 #include "UIElements/ValueStorage.hpp"
-
-#include "bondgraph.hpp"
-#include "config.hpp"
-#include "log.hpp"
-#include "molecule.hpp"
-#include "verbose.hpp"
-#include "World.hpp"
 
 /****** MoleculeSaveAdjacencyAction *****/
@@ -49,4 +50,9 @@
 MoleculeSaveAdjacencyAction::~MoleculeSaveAdjacencyAction()
 {}
+
+void MoleculeSaveAdjacency(std::string &adjacencyfile) {
+  ValueStorage::getInstance().setCurrentValue(MoleculeSaveAdjacencyAction::NAME, adjacencyfile);
+  ActionRegistry::getInstance().getActionByName(MoleculeSaveAdjacencyAction::NAME)->call(Action::NonInteractive);
+};
 
 Dialog* MoleculeSaveAdjacencyAction::createDialog() {
Index: src/Actions/MoleculeAction/SaveAdjacencyAction.hpp
===================================================================
--- src/Actions/MoleculeAction/SaveAdjacencyAction.hpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/SaveAdjacencyAction.hpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -15,4 +15,6 @@
 
 class MoleculeSaveAdjacencyAction : public Action {
+  friend void MoleculeSaveAdjacency(std::string &adjacencyfile);
+
 public:
   MoleculeSaveAdjacencyAction();
Index: src/Actions/MoleculeAction/SaveBondsAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveBondsAction.cpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/SaveBondsAction.cpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -9,4 +9,12 @@
 
 #include "Actions/MoleculeAction/SaveBondsAction.hpp"
+#include "Actions/ActionCalls.hpp"
+#include "bondgraph.hpp"
+#include "config.hpp"
+#include "log.hpp"
+#include "molecule.hpp"
+#include "verbose.hpp"
+#include "World.hpp"
+
 
 #include <iostream>
@@ -19,11 +27,4 @@
 #include "UIElements/Dialog.hpp"
 #include "UIElements/ValueStorage.hpp"
-
-#include "bondgraph.hpp"
-#include "config.hpp"
-#include "log.hpp"
-#include "molecule.hpp"
-#include "verbose.hpp"
-#include "World.hpp"
 
 /****** MoleculeSaveBondsAction *****/
@@ -49,4 +50,9 @@
 MoleculeSaveBondsAction::~MoleculeSaveBondsAction()
 {}
+
+void MoleculeSaveBonds(std::string &bondsfile) {
+  ValueStorage::getInstance().setCurrentValue(MoleculeSaveBondsAction::NAME, bondsfile);
+  ActionRegistry::getInstance().getActionByName(MoleculeSaveBondsAction::NAME)->call(Action::NonInteractive);
+};
 
 Dialog* MoleculeSaveBondsAction::createDialog() {
Index: src/Actions/MoleculeAction/SaveBondsAction.hpp
===================================================================
--- src/Actions/MoleculeAction/SaveBondsAction.hpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/SaveBondsAction.hpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -15,4 +15,6 @@
 
 class MoleculeSaveBondsAction : public Action {
+  friend void MoleculeSaveBonds(std::string &bondsfile);
+
 public:
   MoleculeSaveBondsAction();
Index: src/Actions/MoleculeAction/SaveTemperatureAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SaveTemperatureAction.cpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/SaveTemperatureAction.cpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -9,4 +9,9 @@
 
 #include "Actions/MoleculeAction/SaveTemperatureAction.hpp"
+#include "Actions/ActionCalls.hpp"
+#include "log.hpp"
+#include "molecule.hpp"
+#include "verbose.hpp"
+#include "World.hpp"
 
 #include <iostream>
@@ -19,9 +24,4 @@
 #include "UIElements/Dialog.hpp"
 #include "UIElements/ValueStorage.hpp"
-
-#include "log.hpp"
-#include "molecule.hpp"
-#include "verbose.hpp"
-#include "World.hpp"
 
 /****** MoleculeSaveTemperatureAction *****/
@@ -47,4 +47,9 @@
 MoleculeSaveTemperatureAction::~MoleculeSaveTemperatureAction()
 {}
+
+void MoleculeSaveTemperature(std::string &temperaturefile) {
+  ValueStorage::getInstance().setCurrentValue(MoleculeSaveTemperatureAction::NAME, temperaturefile);
+  ActionRegistry::getInstance().getActionByName(MoleculeSaveTemperatureAction::NAME)->call(Action::NonInteractive);
+};
 
 Dialog* MoleculeSaveTemperatureAction::createDialog() {
Index: src/Actions/MoleculeAction/SaveTemperatureAction.hpp
===================================================================
--- src/Actions/MoleculeAction/SaveTemperatureAction.hpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/SaveTemperatureAction.hpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -15,4 +15,6 @@
 
 class MoleculeSaveTemperatureAction : public Action {
+  friend void MoleculeSaveTemperature(std::string &temperaturefile);
+
 public:
   MoleculeSaveTemperatureAction();
Index: src/Actions/MoleculeAction/SuspendInWaterAction.cpp
===================================================================
--- src/Actions/MoleculeAction/SuspendInWaterAction.cpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/SuspendInWaterAction.cpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -9,4 +9,10 @@
 
 #include "Actions/MoleculeAction/SuspendInWaterAction.hpp"
+#include "Actions/ActionCalls.hpp"
+#include "boundary.hpp"
+#include "config.hpp"
+#include "log.hpp"
+#include "verbose.hpp"
+#include "World.hpp"
 
 #include <iostream>
@@ -18,10 +24,4 @@
 #include "UIElements/Dialog.hpp"
 #include "UIElements/ValueStorage.hpp"
-
-#include "boundary.hpp"
-#include "config.hpp"
-#include "log.hpp"
-#include "verbose.hpp"
-#include "World.hpp"
 
 /****** MoleculeSuspendInWaterAction *****/
@@ -47,4 +47,9 @@
 MoleculeSuspendInWaterAction::~MoleculeSuspendInWaterAction()
 {}
+
+void MoleculeSuspendInWater(double density) {
+  ValueStorage::getInstance().setCurrentValue(MoleculeSuspendInWaterAction::NAME, density);
+  ActionRegistry::getInstance().getActionByName(MoleculeSuspendInWaterAction::NAME)->call(Action::NonInteractive);
+};
 
 Dialog* MoleculeSuspendInWaterAction::createDialog() {
Index: src/Actions/MoleculeAction/SuspendInWaterAction.hpp
===================================================================
--- src/Actions/MoleculeAction/SuspendInWaterAction.hpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/SuspendInWaterAction.hpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -15,4 +15,6 @@
 
 class MoleculeSuspendInWaterAction : public Action {
+  friend void MoleculeSuspendInWater(double density);
+
 public:
   MoleculeSuspendInWaterAction();
Index: src/Actions/MoleculeAction/TranslateAction.cpp
===================================================================
--- src/Actions/MoleculeAction/TranslateAction.cpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/TranslateAction.cpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -9,4 +9,10 @@
 
 #include "Actions/MoleculeAction/TranslateAction.hpp"
+#include "Actions/ActionCalls.hpp"
+#include "log.hpp"
+#include "molecule.hpp"
+#include "vector.hpp"
+#include "verbose.hpp"
+#include "World.hpp"
 
 #include <iostream>
@@ -19,10 +25,4 @@
 #include "UIElements/Dialog.hpp"
 #include "UIElements/ValueStorage.hpp"
-
-#include "log.hpp"
-#include "molecule.hpp"
-#include "vector.hpp"
-#include "verbose.hpp"
-#include "World.hpp"
 
 /****** MoleculeTranslateAction *****/
@@ -48,4 +48,10 @@
 MoleculeTranslateAction::~MoleculeTranslateAction()
 {}
+
+void MoleculeTranslate(Vector &x, bool periodic) {
+  ValueStorage::getInstance().setCurrentValue(MoleculeTranslateAction::NAME, x);
+  ValueStorage::getInstance().setCurrentValue("periodic", periodic);
+  ActionRegistry::getInstance().getActionByName(MoleculeTranslateAction::NAME)->call(Action::NonInteractive);
+};
 
 Dialog* MoleculeTranslateAction::createDialog() {
Index: src/Actions/MoleculeAction/TranslateAction.hpp
===================================================================
--- src/Actions/MoleculeAction/TranslateAction.hpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/TranslateAction.hpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -11,8 +11,11 @@
 #include "Actions/Action.hpp"
 #include "Actions/Process.hpp"
+#include "vector.hpp"
 
 class MoleculeListClass;
 
 class MoleculeTranslateAction : public Action {
+  friend void MoleculeTranslate(Vector &x, bool periodic);
+
 public:
   MoleculeTranslateAction();
Index: src/Actions/MoleculeAction/VerletIntegrationAction.cpp
===================================================================
--- src/Actions/MoleculeAction/VerletIntegrationAction.cpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/VerletIntegrationAction.cpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -9,4 +9,9 @@
 
 #include "Actions/MoleculeAction/VerletIntegrationAction.hpp"
+#include "Actions/ActionCalls.hpp"
+#include "log.hpp"
+#include "molecule.hpp"
+#include "verbose.hpp"
+#include "World.hpp"
 
 #include <iostream>
@@ -19,9 +24,4 @@
 #include "UIElements/Dialog.hpp"
 #include "UIElements/ValueStorage.hpp"
-
-#include "log.hpp"
-#include "molecule.hpp"
-#include "verbose.hpp"
-#include "World.hpp"
 
 /****** MoleculeVerletIntegrationAction *****/
@@ -47,4 +47,9 @@
 MoleculeVerletIntegrationAction::~MoleculeVerletIntegrationAction()
 {}
+
+void MoleculeVerletIntegration(std::string &forcesfile) {
+  ValueStorage::getInstance().setCurrentValue(MoleculeVerletIntegrationAction::NAME, forcesfile);
+  ActionRegistry::getInstance().getActionByName(MoleculeVerletIntegrationAction::NAME)->call(Action::NonInteractive);
+};
 
 Dialog* MoleculeVerletIntegrationAction::createDialog() {
Index: src/Actions/MoleculeAction/VerletIntegrationAction.hpp
===================================================================
--- src/Actions/MoleculeAction/VerletIntegrationAction.hpp	(revision 4ff081f9606c7d6af266d01f479ccdf42cf89038)
+++ src/Actions/MoleculeAction/VerletIntegrationAction.hpp	(revision 1a3c26204c80008fe2a3b47468292577da52d672)
@@ -15,4 +15,6 @@
 
 class MoleculeVerletIntegrationAction : public Action {
+  friend void MoleculeVerletIntegration(std::string &forcesfile);
+
 public:
   MoleculeVerletIntegrationAction();
